<template>
  <ObModal
      ref="modal"
      :edit-form="false"
      :is-error="true"
      :is-read-only="true"
      size="sm"
      :title="title"
      :ok-text="okButton"
      :is-show-controls="true"
      data-qa="errorOrderModal"
  >
    <div v-html="content" />
  </ObModal>
</template>

<script>
import ObModal from "common-components/src/obComponents/obModal";

const defaultOkButton = 'Закрыть'

export default {
  name: 'OrderErrorModal',
  components: {
    ObModal
  },
  data () {
    return {
      title: '',
      content: '',
      okButton: defaultOkButton
    }
  },
  methods: {
    open ({ title, content, okButton = defaultOkButton } = {}) {
      this.title = title
      this.content = content
      this.okButton = okButton
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  }
}
</script>

<style lang="scss" scoped>

</style>